Search Results for

Show / Hide Table of Contents

# Class Binding

##### Inheritance

System.Object
Binding

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class Binding

### Constructors

#### Binding(View, String, View, String, IValueConverter)

##### Declaration

    public Binding(View source, string sourcePropertyName, View target, string targetPropertyName, IValueConverter valueConverter = null)

##### Parameters

Type | Name | Description
--- | --- | ---
View | source |
System.String | sourcePropertyName |
View | target |
System.String | targetPropertyName |
IValueConverter | valueConverter |

### Properties

#### Source

##### Declaration

    public View Source { get; }

##### Property Value

Type | Description
--- | ---
View |

#### SourcePropertyName

##### Declaration

    public string SourcePropertyName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Target

##### Declaration

    public View Target { get; }

##### Property Value

Type | Description
--- | ---
View |

#### TargetPropertyName

##### Declaration

    public string TargetPropertyName { get; }

##### Property Value

Type | Description
--- | ---
System.String |